### Method

# Adw MessageDialog format_heading_markup

since: 1.2

#### Declaration [src]

    void
    adw_message_dialog_format_heading_markup (
      AdwMessageDialog* self,
      const char* format,
      ...
    )

#### Description [src]

Sets the formatted heading of `self` with Pango markup.

The `format` is assumed to contain Pango markup.

Special XML characters in the `printf()` arguments passed to this function will automatically be escaped as necessary, see `g_markup_printf_escaped()`.

See `AdwMessageDialog:heading`.

Available since: 1.2

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `const char*`

  The formatted string for the heading with Pango markup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into `format`.